//统计特征曲线
import { get,post } from "./index";

export default {
    /**
     * 刷新图表
     * @param ChartInfoId
     */
    refreshChart(params){
        return get('/line_feature/chart_info/refresh',params)
    },
    /**
     * 编辑英文信息
     * @param ChartInfoId
     * @param ChartNameEn
     */
    chartInfoEditEn(params){
        return post('/line_feature/chart_info/en/edit',params)
    },

    /**
     * 图表搜索
     * @param {*} params Keyword IsShowMe CurrentIndex
     * @returns 
   */
    searchChart: params => {
        return get('/line_feature/chart_info/search_by_es',params)
    },
    /**
     * 分类列表
     */
    chartClassifyList(params){
        return get('/line_feature/chart_classify/list')
    },
    /**
     * 图表另存为
     * @param ChartInfoId
     * @param ChartClassifyId
     * @param ChartName
     */
    chartSaveOther(params){
        return post('/line_feature/chart_info/copy',params)
    },
    /**
     * 拟合方程曲线图列表
     */
    chartList(params){
        return get('/line_feature/chart_info/list',params)
    }
}